ZCASH-TX(1)

NAME
zcash-tx - manual page for zcash-tx v2.1.0-1

DESCRIPTION
Zcash zcash-tx utility version v2.1.0-1

  Usage:

zcash-tx [options] <hex-tx> [commands]
    Update hex-encoded zcash transaction

zcash-tx [options] -create [commands]
    Create hex-encoded zcash transaction

OPTIONS

-?

    This help message

-create

    Create new, empty TX.

-json

    Select JSON output

-txid

    Output only the hex-encoded transaction id of the resultant transaction.

-regtest

    Enter regression test mode, which uses a special chain in which blocks can be solved instantly.

-testnet

    Use the test network

Commands:

    delin=N

    Delete input N from TX

    delout=N

    Delete output N from TX

    in=TXID:VOUT(:SEQUENCE_NUMBER)

    Add input to TX

    locktime=N

    Set TX lock time to N

    nversion=N

    Set TX version to N

    outaddr=VALUE:ADDRESS

    Add address-based output to TX

    outscript=VALUE:SCRIPT

    Add raw script output to TX

    sign=HEIGHT:SIGHASH-FLAGS

    Add zero or more signatures to transaction. This command requires JSON registers:prevtxs=JSON object, privatekeys=JSON object. See signrawtransaction docs for format of sighash flags, JSON objects.

Register Commands:

    load=NAME:FILENAME

    Load JSON file FILENAME into register NAME

    set=NAME:JSON-STRING

    Set register NAME to given JSON-STRING

COPYRIGHT
In order to ensure you are adequately protecting your privacy when using Zcash, please see <https://z.cash/support/security/>. Copyright (C) 2009-2019 The Bitcoin Core Developers Copyright (C) 2015-2019 The Zcash Developers This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://www.opensource.org/licenses/mit-license.php>. This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit <https://www.openssl.org/> and cryptographic software written by Eric Young.